from clarabot_nano_common.common.handler.filesystem.get import merge_fs_get_listing_responses
from clarabot_nano_common.common.protocol.nano_request import NanoResponseError


def merge_listing_responses(resps):
    try:
        return merge_fs_get_listing_responses(resps)
    except NanoResponseError as e:
        assert False, str(e)
